Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops	(revision 2609)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops	(revision 2610)
@@ -4,4 +4,5 @@
 	Version="8.00"
 	Name="pjproject-vs8-debug-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-common-defaults.vsprops"
 	DeleteExtensionsOnClean=""
 	>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-dynamic-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-dynamic-defaults.vsprops	(revision 2610)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-dynamic-defaults.vsprops	(revision 2610)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-debug-dynamic-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-debug-defaults.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-static-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-static-defaults.vsprops	(revision 2610)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-static-defaults.vsprops	(revision 2610)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-debug-static-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-debug-defaults.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops	(revision 2609)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops	(revision 2610)
@@ -1,7 +1,8 @@
-<?xml version="1.0"?>
-<VisualStudioPropertySheet 
-	ProjectType="Visual C++" 
-	Version="8.00" 
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
 	Name="pjproject-vs8-release-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-common-defaults.vsprops"
 	>
 </VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-dynamic-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-dynamic-defaults.vsprops	(revision 2610)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-dynamic-defaults.vsprops	(revision 2610)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-release-dynamic-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-release-defaults.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-static-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-static-defaults.vsprops	(revision 2610)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-static-defaults.vsprops	(revision 2610)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-release-static-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-release-defaults.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops	(revision 2609)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops	(revision 2610)
@@ -4,5 +4,4 @@
 	Version="8.00"
 	Name="pjproject-vs8-win32-common-defaults"
-	InheritedPropertySheets=".\pjproject-vs8-common-defaults.vsprops"
 	>
 	<UserMacro
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops	(revision 2609)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops	(revision 2610)
@@ -4,5 +4,5 @@
 	Version="8.00"
 	Name="pjproject-vs8-win32-release-defaults"
-	InheritedPropertySheets=".\pjproject-vs8-win32-common-defaults.vsprops;.\pjproject-vs8-release-defaults.vsprops"
+	InheritedPropertySheets=".\pjproject-vs8-win32-common-defaults.vsprops"
 	>
 </VisualStudioPropertySheet>
Index: pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops
===================================================================
--- pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops	(revision 2609)
+++ pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops	(revision 2610)
@@ -1,7 +1,8 @@
-<?xml version="1.0"?>
-<VisualStudioPropertySheet 
-	ProjectType="Visual C++" 
-	Version="8.00" 
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
 	Name="pjproject-vs8-wm6-release-defaults"
+	InheritedPropertySheets=".\pjproject-vs8-wm6-common-defaults.vsprops"
 	>
 </VisualStudioPropertySheet>